[unixODBC-support] Cannot use unixODBC 2.2.14 with MySQL ODBC connector 5.1

Michael Higgins linux at evolone.org
Tue May 26 15:43:22 BST 2009


On Tue, 26 May 2009 00:28:14 -0700 (PDT)
Ken Resander <kresander at yahoo.com> wrote:

> The SOCKET property was the important (non-obvious) step.

For me, I've had to freeze my systems at version 2.2.11, as later versions always die with 'segmentation fault', for no apparent reason when using via perl DBD::ODBC.

Now, I connect to MSSQL, but this could be the same problem?

Can someone close to the code confirm that this property is new in later versions, is clearly and loudly documented, and that lacking configuration for it would obviously cause a segfault on any installation? 

(It's not trivial for me to test ATM, but I'd try to upgrade if there was some confirmation this is, in fact, an obvious problem.)

Cheers,

-- 
 |\  /|        |   |          ~ ~  
 | \/ |        |---|          `|` ?
 |    |ichael  |   |iggins    \^ /
 michael.higgins[at]evolone[dot]org


More information about the unixODBC-support mailing list